CentOS6 iusを入れてみる。

http24uとかphp56uとかいろいろ。epelが前提だけどcurlで入れると勝手に処理してくれます。

# curl -s https://setup.ius.io/|sh

detected CentOS 6
EL 6 is supported
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
Loading mirror speeds from cached hostfile
* base: ftp.riken.jp
* epel: ftp.riken.jp
* extras: ftp.riken.jp
* updates: ftp.riken.jp
base | 3.7 kB 00:00
extras | 3.3 kB 00:00
updates | 3.4 kB 00:00
パッケージ epel-release-6-8.noarch はインストール済みか最新バージョンです★epelに依存だけどチェックして、入ってなかったら入れてくれる。
何もしません
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
ius-release.rpm | 8.2 kB 00:00
/var/tmp/yum-root-pCrDww/ius-release.rpm を調べています: ius-release-1.0-15.ius.centos6.noarch
/var/tmp/yum-root-pCrDww/ius-release.rpm をインストール済みとして設定しています
Loading mirror speeds from cached hostfile
* base: www.ftp.ne.jp
* epel: ftp.riken.jp
* extras: www.ftp.ne.jp
* updates: www.ftp.ne.jp
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> Package ius-release.noarch 0:1.0-15.ius.centos6 will be インストール
--> 依存性解決を終了しました。
依存性を解決しました
================================================================================================
パッケージ アーキテクチャ バージョン リポジトリー 容量
================================================================================================
インストールしています:
ius-release noarch 1.0-15.ius.centos6 /ius-release 8.5 k
トランザクションの要約
================================================================================================
インストール 1 パッケージ
合計容量: 8.5 k
インストール済み容量: 8.5 k
パッケージをダウンロードしています:
rpm_check_debug を実行しています
トランザクションのテストを実行しています
トランザクションのテストを成功しました
トランザクションを実行しています
警告: RPMDB は yum 以外で変更されました。
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
lldpad-0.9.46-10.el6.i686 は次の要求が不足ています: libnl-3.so.200
インストールしています : ius-release-1.0-15.ius.centos6.noarch 1/1
Verifying : ius-release-1.0-15.ius.centos6.noarch 1/1
インストール:
ius-release.noarch 0:1.0-15.ius.centos6
完了しました!